Subject: Re: [mobile-ip] RH and path MTU discovery

From: Erik Nordmark <[email-masked]>
Date: Fri, 1 Feb 2002 09:06:26 +0100 (CET)

> Erik,
> 
> I believe a lot of the questions you raised (and Francis answered)
> are design and implementation details which are solved differently
> by each vendor (eg Compaq).  I think they're outside of the scope
> of the draft.

I agree in the sense that the spec shouldn't mandate solutions
to these issues that are solely internal to a single box.

But I'm a bit surprised that the spec doesn't even give a heads up
to implementors that they need to think about these path MTU issues
(and perhaps even give examples at a conceptual level of how
they can be addressed).

> > Was there explicit tests where during such a connection a router in the path
> > have its MTU lowered?
> 
> I haven't seen it done at a test event, but then most of the conformance
> testing done is with you and a test generator on a private network, no
> routers.

Presumably a test device could send an ICMP packet too big as well
without requiring any routers in the test setup.
It would sound very useful to get such tests into the test suites for MIPv6.

  Erik